Settlement contract for a chain
GET
/payments/contract/{chainId}
const url = 'https://hub.stablezact.com/api/v1/payments/contract/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://hub.stablezact.com/api/v1/payments/contract/exampleReturns the contract address and ABI needed to submit a payment on that chain. Required if you are building your own payment flow rather than using the SDK.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”chainId
required
string
Responses
Section titled “Responses”Contract address, ABI and network configuration.
Media typeapplication/json
object
success
boolean
contractInfo
object
address
string
abi
Array<object>
object
networkConfig
object
Examplegenerated
{ "success": true, "contractInfo": { "address": "example", "abi": [ {} ], "networkConfig": {} }}